#ifndef __DNMLKMAT_H__
#define __DNMLKMAT_H__
 
/* For DLL using these function */
#include "cpa_expt.h" 
#include "SCR.h"
 
#ifdef __cplusplus
extern "C" {
#endif
 
/* Initialisation Function */
extern CPA_EXPORT void DNM_fn_vInitLinkTableOfMecMatCharacteristics();
 
/* Create an Entry */
extern CPA_EXPORT void DNM_fn_vSetValueInLinkTableOfMecMatCharacteristics( char *_p_szKey,unsigned long _ulValue);
 
/* Find Handle with Key */
extern CPA_EXPORT unsigned long DNM_fn_ulLink_SearchKeyInLinkTableOfMecMatCharacteristics( char *_p_szKey);
 
/* Find Key with Handle */
extern CPA_EXPORT char * DNM_fn_p_cSearchValueInLinkTableOfMecMatCharacteristics( unsigned long _ulValue);
 
/* Get the Table */
#if !defined(U64)
extern CPA_EXPORT SCR_tdst_Link_Table *DNM_fn_p_stGetLinkTableOfMecMatCharacteristics();
#endif /* U64 */
 
/* Prepare the Table for the binary save */
extern CPA_EXPORT void DNM_fn_vPrepareSaveMaterialBinaryBloc();
 
#ifdef __cplusplus
}
#endif
 
#endif
